/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\mobiles\HellScout.cs
Lines of code: 124
***********************************************************/


using System;
using Server.Misc;
using Server.Network;
using System.Collections;
using Server.Items;
using Server.Targeting;
using Server.Engines.CannedEvil;
using System.Collections.Generic;

namespace Server.Mobiles
{
	public class HellScout : BaseCreature
	{
		public override bool ClickTitle{ get{ return false; } }
		public override bool ShowFameTitle{ get{ return false; } }
		
		

		[Constructable]
		public HellScout():base( AIType.AI_Super, FightMode.Closest, 10, 8, 0.2, 0.4 )
		{
			Body = 400;
			Hue = 1161;
			Name = "a hell scout";

			SetStr( 351, 400 );
			SetDex( 150, 150 );
			SetInt( 600, 700 );

			SetHits( 421, 480 );

			SetDamageType( ResistanceType.Physical, 25 );
			SetDamageType( ResistanceType.Fire, 72 );

			SetResistance( ResistanceType.Physical, 45, 50 );
			SetResistance( ResistanceType.Fire, 65, 80 );
			SetResistance( ResistanceType.Cold, 20, 40 );
			SetResistance( ResistanceType.Poison, 25, 35 );
			SetResistance( ResistanceType.Energy, 25, 35 );

			SetSkill( SkillName.Archery, 90.1, 110.0 );
			SetSkill( SkillName.Tactics, 90.1, 100.0 );
			SetSkill( SkillName.MagicResist, 90.1, 100.0 );
			SetSkill( SkillName.Magery, 90.1, 100.0 );
			SetSkill( SkillName.EvalInt, 100.0 );
			SetSkill( SkillName.Meditation, 120.1, 130.0 );

			VirtualArmor = 36;
			Fame = 10000;
			Karma = -10000;

			LeatherGloves gloves = new LeatherGloves();
			gloves.Hue = 1359;
			gloves.Movable = false;
			AddItem( gloves );

			StuddedArms arms = new StuddedArms();
			arms.Hue = 1359;
			arms.Movable = false;
			AddItem( arms );

			CompositeBow weapon = new CompositeBow();
			weapon.Hue = 1161;
			weapon.Movable = false;
			AddItem( weapon );

			PlateLegs pants = new PlateLegs();
			pants.Hue = 1644;
			pants.Movable = false;
			AddItem( pants );

			ChainChest tunic = new ChainChest();
			tunic.Hue = 1644;
			tunic.Movable = false;
			AddItem( tunic );

			BoneHelm helm = new BoneHelm();
			helm.Hue = 1644;
			helm.Movable = false;
			AddItem( helm );

			StuddedGorget necklace = new StuddedGorget();
			necklace.Hue = 1359;
			necklace.Movable = false;
			AddItem( necklace );

			Cloak cloak = new Cloak();
			cloak.Hue = 1359;
			cloak.Movable = false;
			AddItem( cloak );

			Skirt kilt = new Skirt();
			kilt.Hue = 1161;
			kilt.Movable = false;
			AddItem( kilt );

			BodySash sash = new BodySash();
			sash.Hue = 1161;
			sash.Movable = false;
			AddItem( sash );

			Backpack pack = new Backpack();
			pack.Movable = false;
			AddItem( pack );
		}

		public override void GenerateLoot()
		{
			PackItem( new SulfurousAsh( Utility.RandomMinMax( 151, 300 ) ) );
			PackItem( new Gold( Utility.RandomMinMax( 750, 1500 ) ) );
			PackItem( new Ruby( Utility.RandomMinMax( 16, 30 ) ) );
			AddLoot( LootPack.Rich, 3 );
		}

		public override int GetIdleSound()
		{
			return 0x184;
		}

		public override int GetAngerSound()
		{
			return 0x286;
		}

		public override int GetDeathSound()
		{
			return 0x288;
		}

		public override int GetHurtSound()
		{
			return 0x19F;
		}

		public override bool AlwaysMurderer{ get{ return true; } }
		public override bool Unprovokable{ get{ return true; } }

		public HellScout( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}